<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.CourseTableTimeMapper">

    <resultMap type="org.dromara.system.domain.vo.CourseTableTimeVo" id="CourseTableTimeResult">
        <result property="id"    column="id"    />
        <result property="schoolId"    column="school_id"    />
        <result property="schoolName"    column="school_name"    />
        <result property="classNumber"    column="class_number"    />
        <result property="timeFrame"    column="time_frame"    />
        <result property="startTime"    column="start_time"    />
        <result property="endTime"    column="end_time"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectCourseTableTimeVo">
        select id, school_id, school_name, class_number, time_frame, start_time, end_time, create_by, create_time, update_by, update_time, remark from course_table_time
    </sql>

    <select id="selectCourseTableTimeBySchoolId" resultMap="CourseTableTimeResult">
        <include refid="selectCourseTableTimeVo"/>
        where school_id = #{schoolId}
    </select>

</mapper>
